﻿using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Enums;
using Syncfusion.WinForms.DataGridConverter;
using Syncfusion.WinForms.DataGridConverter.Events;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DataGrid_WF
{
    public partial class Form1 : Form
    {
        BindingSource bindingSource;
        public Form1()
        {
            InitializeComponent();
            
            bindingSource = new BindingSource();
            this.Load += Form1_Load;
            this.sfDataGrid1.ShowRowHeader = true;
            this.sfDataGrid1.ValidationMode = GridValidationMode.InView;
            this.sfDataGrid1.RowValidating += SfDataGrid1_RowValidating;
            this.sfDataGrid1.RowValidated += SfDataGrid1_RowValidated;
        }

        private void SfDataGrid1_RowValidated(object sender, Syncfusion.WinForms.DataGrid.Events.RowValidatedEventArgs e)
        {
            MessageBox.Show("Row validation is completed");
        }

        private void SfDataGrid1_RowValidating(object sender, Syncfusion.WinForms.DataGrid.Events.RowValidatingEventArgs e)
        {
            var data = e.DataRow.RowData as OrderInfo;
            if (data.CustomerID.Equals("ANATR"))
            {
                e.IsValid = false;
                e.ErrorMessage = "Customer ANATR cannot be passed";
            }
        }

        List<OrderInfo> list = new List<OrderInfo>();
        private void Form1_Load(object sender, EventArgs e)
        {
            list.Add(new OrderInfo(1001, "Maria Anders", "Germany", "ALFKI", "Berlin"));
            list.Add(new OrderInfo(1002, "Ana Trujilo", "Mexico", "ANATR", "Mexico D.F."));
            list.Add(new OrderInfo(1003, "Antonio Moreno", "Mexico", "ANTON", "Mexico D.F."));
            list.Add(new OrderInfo(1004, "Thomas Hardy", "UK", "AROUT", "London"));
            list.Add(new OrderInfo(1005, "Christina Berglund", "Sweden", "BERGS", "Lula"));
            bindingSource.DataSource = list;
            this.sfDataGrid1.DataSource = bindingSource;
            
        }

       
    }

   


}


